Page MenuHomePhabricator

Normalise the Accept-Language header for REST API requests
Closed, ResolvedPublic

Description

In order to be able to efficiently serve language variants from the REST API, we need to normalise the HTTP Accept-Language header for incoming requests. Given that the number of wikis that actually support language variants is rather limited and that the plan is to instruct Varnish to only vary the objects by this header for wikis that do support them, a first good version is to simply trim the header and use only the first language in the list.

Event Timeline

mobrovac created this task.May 22 2018, 7:41 PM
mobrovac triaged this task as High priority.
Restricted Application added a project: Operations. · View Herald TranscriptMay 22 2018, 7:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 434558 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] VCL: Normalise the Accept-Language header for the REST API

https://gerrit.wikimedia.org/r/434558

ema moved this task from Triage to Caching on the Traffic board.May 23 2018, 7:40 AM

Change 434558 merged by Ema:
[operations/puppet@production] VCL: Normalise the Accept-Language header for the REST API

https://gerrit.wikimedia.org/r/434558

mobrovac closed this task as Resolved.

Thank you @ema !

Vvjjkkii renamed this task from Normalise the Accept-Language header for REST API requests to khcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed mobrovac as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
mobrovac renamed this task from khcaaaaaaa to Normalise the Accept-Language header for REST API requests.Jul 1 2018, 10:12 AM
mobrovac closed this task as Resolved.
mobrovac claimed this task.
mobrovac updated the task description. (Show Details)